Bug 844414 - Interstitial org selector leaves user with no permissions with no options
Interstitial org selector leaves user with no permissions with no options
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 10:21 EDT by Justin Sherrill
Modified: 2013-08-16 13:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Logins to the default environment and organization provided users without a role with a page to select an organization instead of the dashboard. Since the user has no access to any organization, the user is stuck in this page without any options. This fix modifies the organization switcher to ensure the user sees the dashboard regardless of role assignment and default environment/organization upon login.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-07-30 10:21:41 EDT
Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.  Create a user with no roles and no default environment/org
2.  Login as that user

  
Actual results:
User is taken to the interstitial page to select an org, however he has access to no orgs and thus can do nothing, not even logout.  Refreshing takes him to the dashboard


Expected results:
Be taken to the dashboard
Comment 1 Jason E. Rist 2012-08-15 17:17:56 EDT
Fixed in 2c31f616e01869007f3b05286611075dfe81ff9d
Comment 3 Og Maciel 2012-09-15 19:11:52 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:48:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 6 Mike McCune 2013-08-16 13:59:20 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.